from PyQt5.QtWidgets import QApplication, QPushButton, QLineEdit, QWidget, QSizePolicy
import sys
import numpy.random as r

from matplotlib.backends.backend_qt5agg import FigureCanvasQTAgg as FigureCanvas
from matplotlib.figure import Figure
import matplotlib.pyplot as plt

class App(QWidget):
    
    def __init__(self):
        super().__init__()
        self.title = 'Zadatak 13.1.4'
        self.left = 150
        self.top = 150
        self.width = 550
        self.height = 500
        self.initUI()
        
    def initUI(self):   
        self.setWindowTitle(self.title)
        self.setGeometry(self.left, self.top, self.width, self.height)
         
        self.text_input = QLineEdit('1', self)
        self.text_input.resize(200, 75)
        self.text_input.move(10,10)
        
        self.button = QPushButton('Prikazi signal', self)
        self.button.resize(300, 75)
        self.button.move(240,10)
        self.button.clicked.connect(self.prikaz_odbiraka)
        
        self.graphic = PlotCanvas(self, width = 5.3, height = 3.9)
        self.graphic.move(10, 100)        
        
        self.show()
        
    def prikaz_odbiraka(self):
        srednja_vrednost = float(self.text_input.text())
        N = 1000
        odbirci = r.normal(srednja_vrednost, 1, N)
        self.graphic.plot(x = odbirci)
        
class PlotCanvas(FigureCanvas):

    def __init__(self, parent = None, width = 2, height = 2, dpi = 100):
        fig = Figure(figsize=(width, height), dpi=dpi)
        self.axes = fig.add_subplot(111)
        self.axes.grid()

        FigureCanvas.__init__(self, fig)
        self.setParent(parent)

        FigureCanvas.setSizePolicy(self,
                QSizePolicy.Expanding,
                QSizePolicy.Expanding)
        FigureCanvas.updateGeometry(self)

    def plot(self, x):
        self.axes.cla()
        self.axes.grid()
        self.axes.plot(x, 'o')
        

app = QApplication(sys.argv)
ex = App()
app.exec_()