import serial 
import matplotlib.pyplot as plt
import numpy as np   

com_port = "COM5"
baud_rate = 9600
ser = serial.Serial(com_port, baud_rate)

lista = []

try:
    while (True):
        arduinoValue = ser.readline()
        value = arduinoValue.decode()
        value = int(value)
        value = value * 5  / 1023
        lista.append(value)
    
except KeyboardInterrupt:
    ser.close()
    fs = 10
    t = np.arange(0, len(lista)/fs, 1/fs)
    plt.figure()
    plt.plot(t, lista)
    plt.title('Signal sa akcelerometra')
    plt.xlabel('Vreme [s]')
    
except:
    ser.close()
    print("Greska!")